Bug 798260 - Update to Django 1.3.1
Summary: Update to Django 1.3.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Django
Version: el6
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Steve Milner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-28 13:10 UTC by Stephen Gallagher
Modified: 2012-05-19 18:34 UTC (History)
3 users (show)

Fixed In Version: Django-1.3.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-19 18:34:54 UTC
Type: ---


Attachments (Terms of Use)

Description Stephen Gallagher 2012-02-28 13:10:43 UTC
Description of problem:
Django has a much quicker development cycle than RHEL releases. Unfortunately, most Django applications tie themselves to the Django release cycle, meaning that in order to continue to carry the latest versions of these applications (sometimes including security fixes), we need to be on the latest supported Django release. I'd like to request that we upgrade Django in EPEL 6 to 1.3.1. Either that, or we investigate the possibility of parallel-installation.

Version-Release number of selected component (if applicable):
Django-1.2.7-1.el6

How reproducible:
N/A

Steps to Reproduce:
N/A
  
Actual results:
Newer Django applications such as ReviewBoard 1.6.x will not run on EPEL 6.

Expected results:
We should be able to continue providing useful software such as ReviewBoard, Transifex, etc.

Additional info:

The list of release notes for Django 1.3 is here: https://docs.djangoproject.com/en/dev/releases/1.3

It is important to note that while this is *largely* a backwards-compatible release, some functionality has not been carried forward due to bugs (security and otherwise) that could not be resolved without breaking API. A full accounting of these issues is available here: https://docs.djangoproject.com/en/dev/releases/1.3/#backwards-incompatible-changes-1-3

Comment 1 Stephen Gallagher 2012-02-28 13:14:44 UTC
It is also worth noting that Django 1.4 is now in beta. Once 1.4 is released, 1.2 becomes EOL and will no longer see updates. (Django's upstream only supports two releases at a time).

Comment 2 Fedora Update System 2012-04-17 20:47:28 UTC
Django-1.3.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Django-1.3.1-1.el6

Comment 3 Fedora Update System 2012-04-17 23:35:53 UTC
Package Django-1.3.1-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing Django-1.3.1-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5607/Django-1.3.1-1.el6
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-05-02 20:30:41 UTC
Package Django-1.3.1-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing Django-1.3.1-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5607/Django-1.3.1-2.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-05-19 18:34:54 UTC
Django-1.3.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.